## net.sf.saxon.event
Class XHTMLIndenter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.event.HTMLIndenter
                  net.sf.saxon.event.XHTMLIndenter

All Implemented Interfaces:
  Result, Receiver

    public class XHTMLIndenter

extends HTMLIndenter

XHTMLIndenter: This class indents XHTML elements, by adding whitespace character data where appropriate. This class differs from its superclass, HTMLIndenter, only in the way it classifies elements as being inline or formatted elements: unlike the HTML indenter, it requires the element names to be in lower case and to be in the XHTML namespace.

Author:
  Michael Kay

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XHTMLIndenter()`

Method Summary

Methods inherited from class net.sf.saxon.event.HTMLIndenter
`characters, comment, endElement, setOutputProperties, startElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`append, attribute, close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getUnderlyingReceiver, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLIndenter

    public XHTMLIndenter()

Copyright (C) Michael H. Kay. All rights reserved.